=== debian/changelog ===
qtspell (0.8.4-1) unstable; urgency=medium

  * Initial release (Closes: #893913)

 -- Scarlett Clark <sgclark@kde.org>  Tue, 24 Apr 2018 03:04:58 -0700
