=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Clark <sgclark@kde.org>
Build-Depends: cmake,
                          debhelper (>=11),
                          libenchant-dev,
                          pkg-config,
                          qtbase5-dev,
                          qttools5-dev (>= 5.10.1~)
Standards-Version: 4.1.4
Homepage: https://github.com/manisandro/qtspell
#Vcs-Git: git://anonscm.debian.org/collab-maint/qtspell.git
#Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/qtspell.git

Package: libqtspell-qt5-0
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, iso-codes
Description: Spell checking for Qt5 text widgets
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.

Package: libqtspell-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libenchant-dev,
         qtbase5-dev,
         libqtspell-qt5-0 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for libqtspell-qt5
 This package contains the headers and libraries for developing applications
 with qtspell-qt5 support.
