## qtspell 0.8.5

=== debian/changelog ===
qtspell (0.8.5-1) unstable; urgency=medium

  * Fix VCS entries to point to salsa repos.
  * New upstream release.
  * Refresh patch 01_add_include_GNUInstallDirs.patch.
  * Use pkgkde-symbolshelper and refresh symbols.
  * Add doxygen for docs:
    - Add arch indep package for html docs.
    - Adjust rules to properly generate arch indep docs and install
      adjustments for arch indep files.
    - Clarify what each package contains in control.
    - wrap-and-sort.
  * Update Uploaders to match my signing key.
  * Use docs-base for HTML docs.
  * Add needed include for DEB_BUILD_MAINT_OPTIONS.
  * Bump to Standards Version 4.2.1:
     - No changes needed.
  * Add upstream metadata.
  * Update debian/ copyright with my new name.
  * Remove erroneous depend on doc package ( arch all ).
  * Remove the incorrect commenting of PC generation
    regex. This now generates the triplet paths in pkg-config
    files. (Closes: #918351)
  * Release to unstable.

 -- Scarlett Moore <sgclark@kde.org>  Tue, 08 Jan 2019 19:28:11 -0700
