=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export CFLAGS := $(shell dpkg-buildflags --get CFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export CXXFLAGS := $(shell dpkg-buildflags --get CXXFLAGS) $(shell dpkg-buildflags --get CPPFLAGS)
export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS) -Wl,--as-needed

include /usr/share/dpkg/buildflags.mk

%:
	dh $@ --with=pkgkde-symbolshelper

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build  -- doc

override_dh_auto_install-indep:
	dh_auto_install -- doc
	mv $(CURDIR)/obj-x86_64-linux-gnu/doc/html $(CURDIR)/debian/tmp/

override_dh_auto_install-arch:
	dh_auto_install

override_dh_missing:
	dh_missing --fail-missing
