=== debian/changelog ===
qtspell (0.8.5+rebuild-1+eagle) unstable; urgency=medium

  * update

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Wed, 20 Jan 2021 09:32:36 +0800
