=== debian/rules ===
--- 
+++ 
@@ -19,7 +19,7 @@
 
 override_dh_auto_install-indep:
 	dh_auto_install -- doc
-	mv $(CURDIR)/obj-x86_64-linux-gnu/doc/html $(CURDIR)/debian/tmp/
+	mv $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html $(CURDIR)/debian/tmp/
 
 override_dh_auto_install-arch:
 	dh_auto_install
