## qtspell 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,7 +2,7 @@
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 0.8.5)
+SET(QTSPELL_VERSION 0.9.0)
 
 
 # Soname
@@ -17,7 +17,6 @@
 SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
 SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
 SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
-SET(USE_QT5 ON CACHE PATH "Do the Qt5 build")
 
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
 STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )
@@ -36,20 +35,15 @@
 ENDIF(ENCHANT_FOUND)
 INCLUDE_DIRECTORIES(${ENCHANT_INCLUDE_DIRS})
 
-IF(USE_QT5)
-    FIND_PACKAGE(Qt5Widgets REQUIRED)
-    FIND_PACKAGE(Qt5LinguistTools REQUIRED)
-ELSE(USE_QT5)
-    FIND_PACKAGE(Qt4 REQUIRED)
-ENDIF(USE_QT5)
+FIND_PACKAGE(Qt5Widgets REQUIRED)
+FIND_PACKAGE(Qt5LinguistTools REQUIRED)
 
 FIND_PACKAGE(Doxygen)
 
 
 # Library
 SET(qtspell_SRCS src/Checker.cpp src/Codetable.cpp src/TextEditChecker.cpp src/UndoRedoStack.cpp)
-SET(qtspell_HDRS src/TextEditChecker_p.hpp)
-SET(qtspell_MOC_HDRS src/QtSpell.hpp src/UndoRedoStack.hpp)
+SET(qtspell_HDRS src/TextEditChecker_p.hpp src/QtSpell.hpp src/UndoRedoStack.hpp)
 FILE(GLOB qtspell_TS locale/*.ts)
 
 ADD_DEFINITIONS(-DQTSPELL_LIBRARY)
@@ -58,26 +52,17 @@
 IF(NOT CMAKE_BUILD_TYPE_TOLOWER MATCHES "debug")
     ADD_DEFINITIONS(-DQT_NO_DEBUG_OUTPUT)
 ENDIF()
+SET(CMAKE_AUTOMOC ON)
 
 SET(QTSPELL_LIB_VERSION ${QTSPELL_MAJOR}.${QTSPELL_MINOR}.0)
 SET(QTSPELL_SO_VERSION ${QTSPELL_MAJOR})
 
-IF(USE_QT5)
-    SET(QT_VER "qt5")
-    QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
-    QT5_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
-ELSE(USE_QT5)
-    SET(QT_VER "qt4")
-    QT4_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
-    QT4_WRAP_CPP(qtspell_MOC ${qtspell_MOC_HDRS})
-ENDIF(USE_QT5)
 
-ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
-IF(USE_QT5)
-    TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
-ELSE(USE_QT5)
-    QT4_USE_MODULES(qtspell Core Gui)
-ENDIF(USE_QT5)
+SET(QT_VER "qt5")
+QT5_ADD_TRANSLATION(qtspell_QM ${qtspell_TS})
+
+ADD_LIBRARY(qtspell SHARED ${qtspell_SRCS} ${qtspell_HDRS} ${qtspell_QM})
+TARGET_LINK_LIBRARIES(qtspell Qt5::Core Qt5::Widgets)
 SET_TARGET_PROPERTIES(qtspell PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
 SET_TARGET_PROPERTIES(qtspell PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
 SET_TARGET_PROPERTIES(qtspell PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
@@ -90,12 +75,8 @@
 TARGET_LINK_LIBRARIES(qtspell ${ENCHANT_LDFLAGS} ${INTL_LDFLAGS})
 
 IF(${BUILD_STATIC_LIBS})
-    ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_MOC_HDRS} ${qtspell_QM})
-    IF(USE_QT5)
-        TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
-    ELSE(USE_QT5)
-        QT4_USE_MODULES(qtspell-static Core Gui)
-    ENDIF(USE_QT5)
+    ADD_LIBRARY(qtspell-static STATIC ${qtspell_SRCS} ${qtspell_MOC} ${qtspell_HDRS} ${qtspell_HDRS} ${qtspell_QM})
+    TARGET_LINK_LIBRARIES(qtspell-static Qt5::Core Qt5::Widgets)
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES COMPILE_DEFINITIONS "ISO_CODES_PREFIX=\"${ISO_CODES_PREFIX}\"")
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES VERSION ${QTSPELL_LIB_VERSION} SOVERSION ${QTSPELL_SO_VERSION})
     SET_TARGET_PROPERTIES(qtspell-static PROPERTIES OUTPUT_NAME qtspell-${QT_VER})
@@ -117,17 +98,8 @@
 
 
 # Example
-IF(USE_QT5)
-    QT5_WRAP_CPP(example_MOC examples/example.hpp)
-ELSE(USE_QT5)
-    QT4_WRAP_CPP(example_MOC examples/example.hpp)
-ENDIF(USE_QT5)
-ADD_EXECUTABLE(example examples/example.cpp ${example_MOC})
-IF(USE_QT5)
-    TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
-ELSE(USE_QT5)
-    QT4_USE_MODULES(example Core Gui)
-ENDIF(USE_QT5)
+ADD_EXECUTABLE(example examples/example.cpp examples/example.hpp)
+TARGET_LINK_LIBRARIES(example Qt5::Core Qt5::Widgets)
 INCLUDE_DIRECTORIES(src/)
 TARGET_LINK_LIBRARIES(example qtspell)
