=== debian/changelog ===
qtspell (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - 01_add_include_GNUInstallDirs.patch: refresh
    - fix_reproducible_build_doxygen_build_path.patch: drop, fixed upstream
  * Update symbols file.

 -- Pino Toscano <pino@debian.org>  Sun, 22 Mar 2020 10:17:57 +0100

qtspell (0.8.5-5) unstable; urgency=medium

  * Team upload.
  * Use DEB_HOST_GNU_TYPE to properly refer to the build directory, instead of
    DEB_HOST_MULTIARCH
    - use /usr/share/dpkg/architecture.mk to get it
  * Bump Standards-Version to 4.5.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Wed, 22 Jan 2020 23:29:16 +0100

qtspell (0.8.5-4) unstable; urgency=medium

  * Team upload.

  [ Scarlett Moore ]
  * Remove extra dh_xeamples override, no longer needed.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Simplify handling of CFLAGS, CXXFLAGS, and LDFLAGS: they right values are
    already passed by the dh cmake buildsystem, so use DEB_LDFLAGS_MAINT_APPEND
    to only link in as-needed mode.
  * Stop trying to install moc_example.cpp as example, as it is an
    autogenerated file, and not a real source. (Closes: #948440)
  * Switch from the debhelper build dependency to debhelper-compat
    - remove debian/compat
  * Remove trailing whitespaces in changelog.
  * Do not run dh_auto_install in -indep builds, as there is nothing to install
    automatically in that case; limit the installation of documentation in
    -indep builds, and install directly from the build directory.
  * Install the source examples properly in libqtspell-qt5-dev.
  * Change the build dependencies:
    - remove doc-base, not actually needed
    - move doxygen as +Build-Depends-Indep, as it is needed only in that case
  * Bump Standards-Version to 4.4.1, no changes required.
  * Remove the libenchant-dev dependency from libqtspell-qt5-dev, as it does
    not use it.
  * Switch to Enchant 2: (Closes: #948439)
    - switch the libenchant-dev with libenchant-2-dev
    - update symbols file

 -- Pino Toscano <pino@debian.org>  Thu, 16 Jan 2020 22:51:43 +0100

qtspell (0.8.5-3) unstable; urgency=medium

  * Fix "FTBFS on all architectures: dh_install: Cannot find (any
    matches for) "usr/lib/*/libqtspell-qt5-0/moc_example.cpp" (tried in
    ., debian/tmp)"
    - Fix install path to -dev package in rules and install file.
     (Closes: #948440)
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Wed, 15 Jan 2020 12:51:39 -0700

qtspell (0.8.5-2) unstable; urgency=medium

  * Fix duplicate short descriptions.
  * Add Build-Depends-Package to symbols file.
  * Update my email.
  * Use DEB_HOST_MULTIARCH var rather than hard coded
    path which would fail in non amd64 hosts.
  * Fix reproducible build by changing FULL_PATH_NAMES in Doxyfile.in.
  * Refresh symbols - remove missing optional symbol.
  * Bump compat to 12.
  * Bump standards-version to 4.3.0 - No remaining changes.
  * Move examples to standard qt5 examples location,
    and don't install cpp_parameters file that
    hard codes build info including paths from
    build host.
  * Release to unstable.

 -- Scarlett Moore <sgmoore@kde.org>  Tue, 16 Jul 2019 08:23:19 -0700
