=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 12),
               libenchant-2-dev,
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev,
               qttools5-dev (>= 5.10.1~),
Build-Depends-Indep: doxygen,
Standards-Version: 4.5.0
Homepage: https://github.com/manisandro/qtspell
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtspell

Package: libqtspell-qt5-0
Architecture: any
Multi-Arch: same
Depends: iso-codes, ${misc:Depends}, ${shlibs:Depends}
Description: Spell checking for Qt5 text widgets library
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the library for qtspell-qt5.

Package: libqtspell-qt5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt5-0 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Development files for libqtspell-qt5
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the headers and libraries for developing applications
 with qtspell-qt5 support.

Package: libqtspell-qt5-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Spell checking for Qt5 text widgets documentation
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the documentation for qtspell-qt5.
