=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

include /usr/share/dpkg/architecture.mk

%:
	dh $@ --with=pkgkde-symbolshelper

override_dh_auto_build-arch:
	dh_auto_build

override_dh_auto_build-indep:
	dh_auto_build  -- doc

override_dh_auto_install-indep:

override_dh_auto_install-arch:
	dh_auto_install

override_dh_installdocs-indep:
	dh_installdocs -i $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html

override_dh_missing:
	dh_missing --fail-missing
