=== debian/changelog ===
qtspell (1.0.1-4) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Switch the maintainer to the Debian KDE Extras Team.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 19 Jan 2025 17:34:58 +0100

qtspell (1.0.1-3) experimental; urgency=medium

  [ Philip Rinn ]
  * Team upload.
  * Team upload.
  * Migrate to Qt6 (Closes: #1091587).
  * Update standards version to 4.7.0, no changes needed.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 05 Jan 2025 23:56:45 +0100

qtspell (1.0.1-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Update symbols file from the logs of buildds.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jan 2022 18:01:29 +0100

qtspell (1.0.1-1) experimental; urgency=medium

  * Team upload.
  * Bump debhelper from old 12 to 13.
    + debian/rules: Drop --fail-missing argument to dh_missing, which is now the
      default.
  * Set field Upstream-Contact in debian/copyright.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Update standards version to 4.6.0, no changes needed.
  * New upstream release.
  * Update the build dependencies according to the upstream buildsystem:
    - bump cmake to 3.0
  * Rename libqtspell-qt5-0 to libqtspell-qt5-1 according to the new SONAME.
  * Remove the explicit as-needed linking, as it is done by binutils now.
  * Drop the patch 01_add_include_GNUInstallDirs.patch altogether:
    - pass -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) to install the library in the
      multiarch library path
    - switch back the includes to a non-multiarch include path, as they do not
      change per-architecture
  * Update/simplify symbols file.
  * Drop the "uupdate" step from the watch file.
  * As there is a package rename, split the translation files to a separate
    libqtspell-qt5-data to reduce conflicts on SONAME bumps
    - change rules to always compile & install qtspell also in arch:all builds,
      as the translations are shipped in that case
  * Add Rules-Requires-Root: no.
  * Update copyright.

 -- Pino Toscano <pino@debian.org>  Sat, 15 Jan 2022 09:32:41 +0100
