=== debian/control ===
Source: qtspell
Section: libs
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               libenchant-2-dev,
               pkgconf,
               pkg-kde-tools,
               qt6-base-dev,
               qt6-tools-dev (>= 5.10.1~),
Build-Depends-Indep: doxygen,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/manisandro/qtspell
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtspell

Package: libqtspell-qt6-1
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt6-data (>= ${source:Version}), iso-codes, ${misc:Depends}, ${shlibs:Depends}
Description: Spell checking for Qt6 text widgets library
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the library for qtspell-qt6.

Package: libqtspell-qt6-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Spell checking for Qt6 text widgets library - data files
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the data files for qtspell-qt6.

Package: libqtspell-qt6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libqtspell-qt6-1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Development files for libqtspell-qt6
 QtSpell adds spell-checking functionality to Qt6's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the headers and libraries for developing applications
 with qtspell-qt6 support.

Package: libqtspell-qt6-html
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: Spell checking for Qt6 text widgets documentation
 QtSpell adds spell-checking functionality to Qt5's text widgets, using the
 enchant spell-checking library.
 .
 This package contains the documentation for qtspell-qt6.
