=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

include /usr/share/dpkg/architecture.mk

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DQT_VER=6

execute_after_dh_auto_build-indep:
	dh_auto_build  -- doc

execute_after_dh_installdocs-indep:
	dh_installdocs -p libqtspell-qt6-html $(CURDIR)/obj-$(DEB_HOST_GNU_TYPE)/doc/html
