## qtspell 1.0.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0)
-cmake_policy(SET CMP0063 NEW)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5)
 
 # Project properties
 PROJECT(qtspell)
-SET(QTSPELL_VERSION 1.0.1)
+include(GNUInstallDirs)
+SET(QTSPELL_VERSION 1.0.2)
 set(CMAKE_C_VISIBILITY_PRESET hidden)
 set(CMAKE_CXX_VISIBILITY_PRESET hidden)
 set(CMAKE_VISIBILITY_INLINES_HIDDEN 1)
@@ -16,14 +16,12 @@
 
 
 # Variables
-SET(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE PATH "Library installation dir")
-SET(INCLUDE_INSTALL_DIR include CACHE PATH "Header installation dir")
 SET(ISO_CODES_PREFIX ${CMAKE_INSTALL_PREFIX} CACHE PATH "Prefix for the iso-codes package")
 SET(BUILD_STATIC_LIBS OFF CACHE BOOL "Whether to also build static libs")
 SET(QT_VER 5 CACHE STRING "Qt version, either 5 or 6")
 
-STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${INCLUDE_INSTALL_DIR})
-STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${LIB_INSTALL_DIR} )
+STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_INCLUDE_DIR ${CMAKE_INSTALL_INCLUDEDIR})
+STRING(REGEX REPLACE "^${CMAKE_INSTALL_PREFIX}/" "" PC_LIB_DIR ${CMAKE_INSTALL_LIBDIR} )
 
 
 # Dependencies
@@ -93,16 +91,16 @@
 CONFIGURE_FILE(QtSpell.pc.in QtSpell-qt${QT_VER}.pc @ONLY)
 
 INSTALL(TARGETS qtspell
-    RUNTIME DESTINATION bin COMPONENT libraries
-    ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
-    LIBRARY DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries
+    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR} COMPONENT libraries
+    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries
+    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries
 )
 IF(${BUILD_STATIC_LIBS})
-    INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${LIB_INSTALL_DIR} COMPONENT libraries)
+    INSTALL(TARGETS qtspell-static ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT libraries)
 ENDIF(${BUILD_STATIC_LIBS})
-INSTALL(FILES src/QtSpell.hpp "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp" DESTINATION ${INCLUDE_INSTALL_DIR}/QtSpell-qt${QT_VER})
-INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-qt${QT_VER}.pc DESTINATION ${LIB_INSTALL_DIR}/pkgconfig)
-INSTALL(FILES ${qtspell_QM} DESTINATION share/qt${QT_VER}/translations)
+INSTALL(FILES src/QtSpell.hpp "${CMAKE_CURRENT_BINARY_DIR}/QtSpellExport.hpp" DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/QtSpell-qt${QT_VER})
+INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/QtSpell-qt${QT_VER}.pc DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
+INSTALL(FILES ${qtspell_QM} DESTINATION ${CMAKE_INSTALL_DATADIR}/qt${QT_VER}/translations)
 
 
 # Example
