=== debian/changelog ===
qtspell (1.0.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Update the build dependencies according to the upstream buildsystem:
    - bump cmake to 3.5
  * Stop specifying -DLIB_SUFFIX to cmake, as the buildsystem now uses the
    GNUInstallDirs module.

 -- Pino Toscano <pino@debian.org>  Sun, 10 Aug 2025 09:54:54 +0200
