=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
 Uploaders: Scarlett Moore <sgmoore@kde.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                dh-sequence-pkgkde-symbolshelper,
                libenchant-2-dev,
@@ -12,7 +12,7 @@
                qt6-base-dev,
                qt6-tools-dev (>= 5.10.1~),
 Build-Depends-Indep: doxygen,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/manisandro/qtspell
 Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtspell.git
