=== debian/rules ===
--- 
+++ 
@@ -8,7 +8,7 @@
 	dh $@
 
 override_dh_auto_configure:
-	dh_auto_configure -- -DLIB_SUFFIX=/$(DEB_HOST_MULTIARCH) -DQT_VER=6
+	dh_auto_configure -- -DQT_VER=6
 
 execute_after_dh_auto_build-indep:
 	dh_auto_build  -- doc
