=== debian/watch ===
version=4

# GitHub hosted projects
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/qtspell-$1\.tar\.gz/ \
   https://github.com/manisandro/qtspell/tags \
   (?:.*?/)?(\d[\d.]*)\.tar\.gz
